Bug 501673 - [indic] Shortcut key should be ctrl+shift for changing keymaps
[indic] Shortcut key should be ctrl+shift for changing keymaps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 05:17 EDT by Parag Nemade
Modified: 2009-09-09 02:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 02:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2009-05-20 05:17:00 EDT
Description of problem:
ibus should use ctrl-shift to change keymaps like we used to change in scim.

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090508-3.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. start ibus in your locale
2. try to use ctrl-shift
3.
  
Actual results:
not changes keymaps

Expected results:
should change keymaps.

Additional info:
Comment 1 Jens Petersen 2009-05-24 22:12:06 EDT
So we should enable this for all Indic?
Comment 2 Peng Huang 2009-05-25 02:38:10 EDT
I think Ctrl+Shift_L is default hot key for switch keymaps. Did press Ctrl+Space to enable ibus before pressing Ctrl+Shift_L? Currently, Ctrl+Shoft_L just works when ibus is turned on.
Comment 3 Parag Nemade 2009-05-25 04:24:52 EDT
Tested on F11 and F10, it looks to me Alt+Shift_L as the default keymap switch key and like we used to have Ctrl+Shift_L as default in scim, can we have same for ibus also?
Comment 4 Jens Petersen 2009-06-04 00:30:09 EDT
I am not sure we want to enable Ctrl+Shift_L for all locales.
Comment 5 Bug Zapper 2009-06-09 12:09:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jens Petersen 2009-07-14 19:26:31 EDT
moving back to rawhide
Comment 7 Jens Petersen 2009-09-09 02:53:41 EDT
I think Alt+Shift is good enough as a global hotkey.

Note You need to log in before you can comment on or make changes to this bug.